Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.content.portlet
Class PortletContent

    java.lang.Object
      org.jboss.portal.core.impl.model.content.AbstractContent
          org.jboss.portal.core.impl.model.content.portlet.PortletContent

All Implemented Interfaces:
  Content

    public class PortletContent

extends AbstractContent

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.core.impl.model.content.AbstractContent
`state`

Constructor Summary
`PortletContent(InternalPortletContentProvider handler, java.lang.String contextId, ContentState state)`

Method Summary
`org.jboss.portal.common.i18n.LocalizedString` | `getDisplayName()` Return a localized display name of the content.
`java.lang.String` | `getInstanceRef()`
`void` | `setInstanceRef(java.lang.String instanceRef)`
`void` | `setURI(java.lang.String uri)` Updates the content URI.

Methods inherited from class org.jboss.portal.core.impl.model.content.AbstractContent
`clearParameters, getParameter, getParameterNames, getURI, isMutable, setParameter, setParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletContent

    public PortletContent(InternalPortletContentProvider handler,
                          java.lang.String contextId,
                          ContentState state)

Method Detail

### getDisplayName

    public org.jboss.portal.common.i18n.LocalizedString getDisplayName()

  Description copied from interface: `Content`
  Return a localized display name of the content.

  Returns:
    the content display name

### setURI

    public void setURI(java.lang.String uri)

  Description copied from interface: `Content`
  Updates the content URI.

  Specified by:
    `setURI` in interface `Content`
  Overrides:
    `setURI` in class `AbstractContent`
  Parameters:
    `uri` - the new content URI value

### getInstanceRef

    public java.lang.String getInstanceRef()

### setInstanceRef

    public void setInstanceRef(java.lang.String instanceRef)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD